#!/bin/sh

JETTY_VERSION="9.4.10.v20180503"
JETTY_BASE=$(dirname "$0")/..
JETTY_BASE=$(cd "${JETTY_BASE}" && pwd)
JETTY_HOME=${JETTY_BASE}/libexec/jetty-home-${JETTY_VERSION}

# Only if STDOUT is connected to a terminal, enable the Log4j Console appender.
if test -t 1; then
  echo "Terminal detected; enabling Log4j Console appender."
  JVM_ARGS="$JVM_ARGS -Dlog4j2.console.threshold=all"
fi

cd ${JETTY_BASE}
export JETTY_BASE JETTY_HOME
exec java ${JVM_ARGS} -jar ${JETTY_HOME}/start.jar "$@"
